# Loads default set of integrations. Do not remove.
default_config:

homeassistant:
  internal_url: "http://192.168.0.40:8123"
  external_url: "http://homeassistant.realm.local"
  country: DE

  auth_providers:
    - type: trusted_networks
      trusted_networks:
        - 192.168.0.0/24
        - 127.0.0.1
        - ::1
      allow_bypass_login: true
    - type: homeassistant

  customize:
    sensor.lepus3_060_zahlerstand_total:
      device_class: energy
      unit_of_measurement: "Wh"
      state_class: total_increasing
    sensor.lepus3_060_wirkenergie_total:
      device_class: energy
      unit_of_measurement: "Wh"
      state_class: total_increasing

  allowlist_external_dirs:
    - /tmp

# Text to speech
tts:
  - platform: google_translate

http:
  use_x_forwarded_for: true
  trusted_proxies:
    - 192.168.0.28      # Add the IP address of the proxy server
    - 192.168.0.0/24    # trusted network

# includes
automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml
sensor: !include sensors.yaml
rest: !include rest.yaml
template: !include template.yaml
